using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Cmdjy.Models;

namespace Cmdjy.Controllers
{
    /// <summary>
    /// 医疗机构处方、药品信息控制器
    /// </summary>
    public class HisInfoController:Controller
    {
        /// <summary>
        /// 架构主页
        /// </summary>
        public ActionResult Index() {
            return PartialView();
        }
        /// <summary>
        /// 信息筛选页面
        /// </summary>
        /// <returns></returns>
        public ActionResult PreFilter() {
            var model = new PreFilter {
                Start = "0",End = "10",
            };
            return PartialView(model);
        }

        public ActionResult PrescriptionList(PreFilter filter) {
            var model = HisInfo.GetPreInfos(filter);
            return PartialView(model);
        }

        public ActionResult DrugList(int preId) {
            var model = HisInfo.GetDrugInfos(preId);
            return PartialView(model);
        }
    }
}